
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_popmail (kpart) ###################

tde_add_kpart( conduit_popmail AUTOMOC
  SOURCES popmailSettings.kcfgc setup-dialog.ui popmail-factory.cpp
    setupDialog.cpp popmail-conduit.cpp
  LINK kpilot-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE popmail-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES popmail.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
